require '_h2ph_pre.ph';

no warnings 'redefine';

unless(defined(&CISS_IDB)) {
    sub CISS_IDB () {	0x20;}
}
unless(defined(&CISS_IDB_CFG)) {
    sub CISS_IDB_CFG () {	0x1;}
}
unless(defined(&CISS_ISR)) {
    sub CISS_ISR () {	0x30;}
}
unless(defined(&CISS_IMR)) {
    sub CISS_IMR () {	0x34;}
}
unless(defined(&CISS_READYENAB)) {
    sub CISS_READYENAB () {	4;}
}
unless(defined(&CISS_READYENA)) {
    sub CISS_READYENA () {	8;}
}
unless(defined(&CISS_INQ)) {
    sub CISS_INQ () {	0x40;}
}
unless(defined(&CISS_OUTQ)) {
    sub CISS_OUTQ () {	0x44;}
}
unless(defined(&CISS_CFG_BAR)) {
    sub CISS_CFG_BAR () {	0xb4;}
}
unless(defined(&CISS_CFG_OFF)) {
    sub CISS_CFG_OFF () {	0xb8;}
}
unless(defined(&CISS_DRVMAP_SIZE)) {
    sub CISS_DRVMAP_SIZE () {	(128/ 8);}
}
unless(defined(&CISS_CMD_CTRL_GET)) {
    sub CISS_CMD_CTRL_GET () {	0x26;}
}
unless(defined(&CISS_CMD_CTRL_SET)) {
    sub CISS_CMD_CTRL_SET () {	0x27;}
}
unless(defined(&CISS_CMS_CTRL_LDID)) {
    sub CISS_CMS_CTRL_LDID () {	0x10;}
}
unless(defined(&CISS_CMS_CTRL_CTRL)) {
    sub CISS_CMS_CTRL_CTRL () {	0x11;}
}
unless(defined(&CISS_CMS_CTRL_LDSTAT)) {
    sub CISS_CMS_CTRL_LDSTAT () {	0x12;}
}
unless(defined(&CISS_CMS_CTRL_PDID)) {
    sub CISS_CMS_CTRL_PDID () {	0x15;}
}
unless(defined(&CISS_CMS_CTRL_PDBLINK)) {
    sub CISS_CMS_CTRL_PDBLINK () {	0x16;}
}
unless(defined(&CISS_CMS_CTRL_PDBLSENS)) {
    sub CISS_CMS_CTRL_PDBLSENS () {	0x17;}
}
unless(defined(&CISS_CMS_CTRL_FLUSH)) {
    sub CISS_CMS_CTRL_FLUSH () {	0xc2;}
}
unless(defined(&CISS_CMS_CTRL_ACCEPT)) {
    sub CISS_CMS_CTRL_ACCEPT () {	0xe0;}
}
unless(defined(&CISS_CMD_LDMAP)) {
    sub CISS_CMD_LDMAP () {	0xc2;}
}
unless(defined(&CISS_CMD_PDMAP)) {
    sub CISS_CMD_PDMAP () {	0xc3;}
}
unless(defined(&CISS_SIGNATURE)) {
    sub CISS_SIGNATURE () {	(*( &u_int32_t *)"CISS");}
}
unless(defined(&CISS_METH_READY)) {
    sub CISS_METH_READY () {	0x1;}
}
unless(defined(&CISS_METH_SIMPL)) {
    sub CISS_METH_SIMPL () {	0x2;}
}
unless(defined(&CISS_METH_PERF)) {
    sub CISS_METH_PERF () {	0x4;}
}
unless(defined(&CISS_METH_EMQ)) {
    sub CISS_METH_EMQ () {	0x8;}
}
unless(defined(&CISS_BUS_U2)) {
    sub CISS_BUS_U2 () {	0x1;}
}
unless(defined(&CISS_BUS_U3)) {
    sub CISS_BUS_U3 () {	0x2;}
}
unless(defined(&CISS_BUS_FC1)) {
    sub CISS_BUS_FC1 () {	0x100;}
}
unless(defined(&CISS_BUS_FC2)) {
    sub CISS_BUS_FC2 () {	0x200;}
}
unless(defined(&CISS_DRV_UATT)) {
    sub CISS_DRV_UATT () {	0x1;}
}
unless(defined(&CISS_DRV_QINI)) {
    sub CISS_DRV_QINI () {	0x2;}
}
unless(defined(&CISS_DRV_LCKINT)) {
    sub CISS_DRV_LCKINT () {	0x4;}
}
unless(defined(&CISS_DRV_QTAGS)) {
    sub CISS_DRV_QTAGS () {	0x8;}
}
unless(defined(&CISS_DRV_ALPHA)) {
    sub CISS_DRV_ALPHA () {	0x10;}
}
unless(defined(&CISS_DRV_LUNS)) {
    sub CISS_DRV_LUNS () {	0x20;}
}
unless(defined(&CISS_DRV_MSGRQ)) {
    sub CISS_DRV_MSGRQ () {	0x80;}
}
unless(defined(&CISS_DRV_DBRD)) {
    sub CISS_DRV_DBRD () {	0x100;}
}
unless(defined(&CISS_DRV_PRF)) {
    sub CISS_DRV_PRF () {	0x200;}
}
unless(defined(&CISS_INQ_WIDE)) {
    sub CISS_INQ_WIDE () {	0x8;}
}
unless(defined(&CISS_INQ_BIGMAP)) {
    sub CISS_INQ_BIGMAP () {	0x80;}
}
unless(defined(&CISS_INQ_BITS)) {
    sub CISS_INQ_BITS () {	"\020\04WIDE\010BIGMAP";}
}
unless(defined(&CISS_FLUSH_ENABLE)) {
    sub CISS_FLUSH_ENABLE () {	0;}
}
unless(defined(&CISS_FLUSH_DISABLE)) {
    sub CISS_FLUSH_DISABLE () {	1;}
}
unless(defined(&CISS_CMD_ERR)) {
    sub CISS_CMD_ERR () {	0x2;}
}
unless(defined(&CISS_CMD_MODE_PERIPH)) {
    sub CISS_CMD_MODE_PERIPH () {	0x;}
}
unless(defined(&CISS_CMD_MODE_LD)) {
    sub CISS_CMD_MODE_LD () {	0x40000000;}
}
unless(defined(&CISS_CMD_TGT_MASK)) {
    sub CISS_CMD_TGT_MASK () {	0x40ffffff;}
}
unless(defined(&CISS_CMD_BUS_MASK)) {
    sub CISS_CMD_BUS_MASK () {	0x3f000000;}
}
unless(defined(&CISS_CMD_BUS_SHIFT)) {
    sub CISS_CMD_BUS_SHIFT () {	24;}
}
unless(defined(&CISS_CDB_CMD)) {
    sub CISS_CDB_CMD () {	0x;}
}
unless(defined(&CISS_CDB_MSG)) {
    sub CISS_CDB_MSG () {	0x1;}
}
unless(defined(&CISS_CDB_NOTAG)) {
    sub CISS_CDB_NOTAG () {	0x;}
}
unless(defined(&CISS_CDB_SIMPL)) {
    sub CISS_CDB_SIMPL () {	0x20;}
}
unless(defined(&CISS_CDB_QHEAD)) {
    sub CISS_CDB_QHEAD () {	0x28;}
}
unless(defined(&CISS_CDB_ORDR)) {
    sub CISS_CDB_ORDR () {	0x30;}
}
unless(defined(&CISS_CDB_AUTO)) {
    sub CISS_CDB_AUTO () {	0x38;}
}
unless(defined(&CISS_CDB_IN)) {
    sub CISS_CDB_IN () {	0x80;}
}
unless(defined(&CISS_CDB_OUT)) {
    sub CISS_CDB_OUT () {	0x40;}
}
unless(defined(&CISS_MAX_CDB)) {
    sub CISS_MAX_CDB () {	12;}
}
unless(defined(&CISS_SG_EXT)) {
    sub CISS_SG_EXT () {	0x1;}
}
unless(defined(&CISS_ERR_OK)) {
    sub CISS_ERR_OK () {	0;}
}
unless(defined(&CISS_ERR_TGTST)) {
    sub CISS_ERR_TGTST () {	1;}
}
unless(defined(&CISS_ERR_UNRUN)) {
    sub CISS_ERR_UNRUN () {	2;}
}
unless(defined(&CISS_ERR_OVRUN)) {
    sub CISS_ERR_OVRUN () {	3;}
}
unless(defined(&CISS_ERR_INVCMD)) {
    sub CISS_ERR_INVCMD () {	4;}
}
unless(defined(&CISS_ERR_PROTE)) {
    sub CISS_ERR_PROTE () {	5;}
}
unless(defined(&CISS_ERR_HWERR)) {
    sub CISS_ERR_HWERR () {	6;}
}
unless(defined(&CISS_ERR_CLOSS)) {
    sub CISS_ERR_CLOSS () {	7;}
}
unless(defined(&CISS_ERR_ABRT)) {
    sub CISS_ERR_ABRT () {	8;}
}
unless(defined(&CISS_ERR_FABRT)) {
    sub CISS_ERR_FABRT () {	9;}
}
unless(defined(&CISS_ERR_UABRT)) {
    sub CISS_ERR_UABRT () {	10;}
}
unless(defined(&CISS_ERR_TMO)) {
    sub CISS_ERR_TMO () {	11;}
}
unless(defined(&CISS_ERR_NABRT)) {
    sub CISS_ERR_NABRT () {	12;}
}
eval("sub CISS_CCB_FREE () { 0x01; }") unless defined(&CISS_CCB_FREE);
eval("sub CISS_CCB_READY () { 0x02; }") unless defined(&CISS_CCB_READY);
eval("sub CISS_CCB_ONQ () { 0x04; }") unless defined(&CISS_CCB_ONQ);
eval("sub CISS_CCB_PREQ () { 0x08; }") unless defined(&CISS_CCB_PREQ);
eval("sub CISS_CCB_POLL () { 0x10; }") unless defined(&CISS_CCB_POLL);
eval("sub CISS_CCB_FAIL () { 0x80#defineCISS_CCB_BITS"\020\01FREE\02READY\03ONQ\04PREQ\05POLL\010FAIL"; }") unless defined(&CISS_CCB_FAIL);
1;
